#
# spec file for package xournalpp
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xournalpp
Version:        1.0.8
Release:        1.1
Summary:        Notetaking software designed around a tablet
License:        GPL-2.0-or-later
Group:          Productivity/Office/Other
URL:            https://github.com/xournalpp/xournalpp
Source0:        https://github.com/xournalpp/xournalpp/archive/%{version}.tar.gz
# PATCH-FIX-UPSTREAM xournalpp-fix-horizontal-space.patch gh#xournalpp/xournalpp#906 badshah400@gmail.com -- Fix adding horizontal space to document view from preferences; patch taken from upstream commit
Patch0:         xournalpp-fix-horizontal-space.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  texlive-latex-bin
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(portaudiocpp)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
Requires:       texlive-latex-bin

%description
Xournal++ is a hand note taking software.
It supports pen input, e.g. Wacom tablets.

%lang_package

%prep
%setup -q
%patch0 -p1

%build
%cmake
%make_jobs

%install
%cmake_install

# REMOVE UNNECESSARY SCRIPTS update-icon-cache IS TAKEN CARE OF BY RPM FILE TRIGGERS
rm %{buildroot}%{_datadir}/%{name}/ui/*/hicolor/update-icon-cache.sh

%find_lang xournalpp %{no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/xournal-thumbnailer
%{_bindir}/xournalpp
%{_datadir}/applications/xournalpp.desktop
%{_datadir}/icons/hicolor/scalable/mimetypes/*.svg
%{_datadir}/mime/packages/*.xml
%dir %{_datadir}/mimelnk
%dir %{_datadir}/mimelnk/application
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/xournalpp/
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/xopp-recording.sh
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/*.thumbnailer

%files lang -f xournalpp.lang

%changelog
* Tue Feb 19 2019 badshah400@gmail.com
- Update to version 1.0.8:
  * Audio recording directly integrated, no VLC etc. needed.
  * LaTex use now vector graphics.
  * Multiple page layout.
  * Minor bug fixes.
- Add xournalpp-fix-horizontal-space.patch: fix adding horizontal
  space to document view from preferences; patch taken from
  upstream commit (gh#xournalpp/xournalpp#906).
- New upstream build dependencies: pkgconfig(portaudiocpp),
  pkgconfig(sndfile).
* Mon Jan 28 2019 Atri Bhattacharya <badshah400@gmail.com>
- Drop unnecessary Requires(pre/post) on desktop-file-utils.
* Thu Jan 24 2019 Jan Engelhardt <jengelh@inai.de>
- Remove future goals.
* Mon Jan 21 2019 badshah400@gmail.com
- Update to version 1.0.7:
  * Fixes for HiDPI (gh#xournalpp/xournalpp#172).
  * Drop bundled mathtex, thereby fixing a licensing issue
    (mathtex is licensed under GPL-3.0,
    gh#xournalpp/xournalpp#771).
  * Other minor bug fixes.
* Sun Dec 30 2018 badshah400@gmail.com
- Initial package (version 1.0.5).
